frdManyOneNemenyiTest {PMCMRplus} | R Documentation

## Nemenyi's Many-to-One Test for Unreplicated Blocked Data

### Description

Performs Nemenyi's non-parametric many-to-one comparison test for Friedman-type ranked data.

### Usage

    frdManyOneNemenyiTest(y, ...)

    ## Default S3 method:
    frdManyOneNemenyiTest(
      y,
      groups,
      blocks,
      alternative = c("two.sided", "greater", "less"),
      ...
    )

### Arguments

`y` | a numeric vector of data values, or a list of numeric data vectors.
`groups` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`blocks` | a vector or factor object giving the block for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `two.sided`.
`...` | further arguments to be passed to or from methods.

### Details

For many-to-one comparisons (pairwise comparisons with one control) in a two factorial unreplicated complete block design with non-normally distributed residuals, Nemenyi's test can be performed on Friedman-type ranked data.

Let there be k groups including the control, then the number of treatment levels is m = k - 1. A total of m pairwise comparisons can be performed between the i-th treatment level and the control. H_i: θ_0 = θ_i is tested in the two-tailed case against A_i: θ_0 \ne θ_i, ~~ (1 ≤ i ≤ m).

The p-values are computed from the multivariate normal distribution. As `pmvnorm` applies a numerical method, the estimated p-values are seet depended.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Hollander, M., Wolfe, D. A., Chicken, E. (2014), Nonparametric Statistical Methods. 3rd ed. New York: Wiley. 2014.

Miller Jr., R. G. (1996), Simultaneous Statistical Inference. New York: McGraw-Hill.

Nemenyi, P. (1963), Distribution-free Multiple Comparisons. Ph.D. thesis, Princeton University.

Siegel, S., Castellan Jr., N. J. (1988), Nonparametric Statistics for the Behavioral Sciences. 2nd ed. New York: McGraw-Hill.

Zarr, J. H. (1999), Biostatistical Analysis. 4th ed. Upper Saddle River: Prentice-Hall.

### See Also

`friedmanTest`, `friedman.test`, `frdManyOneExactTest`, `frdManyOneDemsarTest` `pmvnorm`, `set.seed`

### Examples

     ## Sachs, 1997, p. 675
     ## Six persons (block) received six different diuretics
     ## (A to F, treatment).
     ## The responses are the Na-concentration (mval)
     ## in the urine measured 2 hours after each treatment.
     ## Assume A is the control.

     y <- matrix(c(
     3.88, 5.64, 5.76, 4.25, 5.91, 4.33, 30.58, 30.14, 16.92,
     23.19, 26.74, 10.91, 25.24, 33.52, 25.45, 18.85, 20.45,
     26.67, 4.44, 7.94, 4.04, 4.4, 4.23, 4.36, 29.41, 30.72,
     32.92, 28.23, 23.35, 12, 38.87, 33.12, 39.15, 28.06, 38.23,
     26.65),nrow=6, ncol=6,
     dimnames=list(1:6, LETTERS[1:6]))

     ## Global Friedman test
     friedmanTest(y)

     ## Demsar's many-one test
     frdManyOneDemsarTest(y=y, p.adjust = "bonferroni")

     ## Exact many-one test
     frdManyOneExactTest(y=y, p.adjust = "bonferroni")

     ## Nemenyi's many-one test
     frdManyOneNemenyiTest(y=y)

[Package PMCMRplus version 1.6.1 Index]